# TextSource - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts / TextSource

# TextSource

(common) `interface TextSource` (source)

### Properties

(common)

#### asHtmlSource

`abstract val asHtmlSource: String`

(common)

#### asMarkdownSource

`abstract val asMarkdownSource: String`

(common)

#### asMarkdownV2Source

`abstract val asMarkdownV2Source: String`

(common)

#### source

`abstract val source: String`

### Inheritors

(common)

#### CodeTextSource

`class CodeTextSource : TextSource`

(common)

#### MultilevelTextSource

`interface MultilevelTextSource : TextSource`

(common)

#### PreTextSource

`class PreTextSource : TextSource`

(common)

#### RegularTextSource

`class RegularTextSource : TextSource`

(common)

#### TextLinkTextSource

`class TextLinkTextSource : TextSource`

(common)

#### URLTextSource

`class URLTextSource : TextSource`